Name:           guacamole-auth-jdbc
Version:        1.1.0
Release:        1%{?dist}
Epoch:          1
Summary:        Web components from the Guacamole proxy
License:        MPLv1.1 or GPLv2+
URL:            http://guac-dev.org/

Source0:        %{name}-%{version}.tar.gz

%description
Guacamole authoriztion with DB 

#%package -n guacamole-auth-jdbc-postgresql
Summary:        Database authentication with postgresql
Requires:       postgresql%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       tomcat%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}


%prep
%autosetup

%build

%install
mkdir -p  %{buildroot}/usr/share/tomcat/.guacamole/extensions
mkdir -p  %{buildroot}/usr/share/tomcat/.guacamole/lib
install -m 644 /usr/share/java/postgresql-jdbc.jar %{buildroot}/usr/share/tomcat/.guacamole/lib/
install -m 644 postgresql/guacamole-auth-jdbc-postgresql-%{version}.jar %{buildroot}/usr/share/tomcat/.guacamole/extensions/
install -m 644 postgresql/schema/*.sql %{buildroot}/usr/share/tomcat/.guacamole/lib/

%files 
%defattr(-,root,root,-)
/usr/share/tomcat/.guacamole/lib/postgresql-jdbc.jar
/usr/share/tomcat/.guacamole/extensions/guacamole-auth-jdbc-postgresql-%{version}.jar
/usr/share/tomcat/.guacamole/lib/*.sql

%changelog
* Thu May 02 2019 kjg <jinguek.kwon@ungleich.ch> - 1.1.0-1
- update for version 1.1.0.

* Wed Apr 25 2019 kjg <jinguek.kwon@ungleich.ch> - 1.0.0-1
- create version 1.0.0.
